<div class="col-md-8 submit-form colonne-centree">
  <div *ngIf="!submitted">
    <form class="colonne-centree" id="ajout" #f="ngForm" style="margin-top: 5px; margin-block: unset; 
                background-color: #ffffff;
                padding-right: 100px;
                padding-left: 100px;
                padding-top: 80px;
                width: 1000px;
                border-radius: 15px;">

      <!-- Div 1 matricule-->

      <div class="form-group" style="margin-bottom: 10px; ">
        <div class="input-group">
          <label class="input-group-addon" for="matricule" style="margin-bottom: 15px; font-size: 25px;">
            <strong>Matricule</strong> 
          </label>
          <input type="text" class="form-control" id="matricule" required [(ngModel)]="user.matricule" name="matricule"
            placeholder="m987654" maxlength="10" minlength="2" #matricule="ngModel" />
        </div>
        <div class="alert-danger"  style="margin-top: 2px; font-size: larger; border-radius: 80px;" *ngIf="f.submitted && matricule.invalid">
          <div *ngIf="matricule.errors.required">La matricule est obligatoire</div>
          <div *ngIf="matricule.errors.minlength">Le matricule doit comporter au moins 2 caractères</div>
          <div *ngIf="username.errors.maxlength">Le matricule doit comporter au maximum 10 caractères</div>
        </div>

      </div>

      <!-- Div 2 name-->
      <div class="form-group" style="margin-bottom: 10px;">
        <div class="input-group">
          <label class="input-group-addon" for="matricule" style="margin-bottom: 15px; font-size: 25px;">
           <strong> Nom et Prénom </strong>
          </label>
          <input class="form-control" type="text" id="name" required [(ngModel)]="user.name" name="name"
            placeholder="Nom et prénom" #name="ngModel" />
        </div>

        <div class="alert-danger" style="margin-top: 2px; font-size: larger; border-radius: 80px;" *ngIf="f.submitted && name.invalid">
          <div *ngIf="name.errors.required"> nom et prénom est obligatoire</div>
        </div>

      </div>

      <!-- Div 3 email-->
      <div class="form-group" style="margin-bottom: 10px;">
        <div class="input-group" id="ajout">
          <label class="input-group-addon" for="matricule" style="margin-bottom: 15px; font-size: 25px;">
            <strong> Adresse e-mail</strong> 
          </label>
          <input type="email" class="form-control" id="email" required [(ngModel)]="user.email" email #email="ngModel"
            name="email" placeholder="exemple@xxxx.com" />
        </div>

        <div class="alert-danger" style="margin-top: 2px; font-size: larger; border-radius: 80px;" *ngIf="f.submitted && email.invalid">
          <div *ngIf="email.errors.required">L'e-mail est obligatoire</div>
          <div *ngIf="email.errors.email">
            L'e-mail doit être une adresse e-mail valide </div>
        </div>

      </div>

      <!-- Div 4 password-->
      <div class="form-group" style="margin-bottom: 10px;">
        <div class="input-group" id="ajout">
          <label class="input-group-addon" for="matricule" style="margin-bottom: 15px; font-size: 25px;">
            <strong> Mot de passe </strong> 
          </label>
          <input type="password" class="form-control" id="password" required [(ngModel)]="user.password" name="password"
            minlength="8" placeholder="Mot de passe " #password="ngModel" />
        </div>

        <div class="alert-danger" style="margin-top: 2px; font-size: larger; border-radius: 80px;" *ngIf="f.submitted && password.invalid">
          <div *ngIf="password.errors.required">Le mot de passe est obligatoire</div>
          <div *ngIf="password.errors.minlength"> Le mot de passe doit comporter au moins 8 caractères</div>
        </div>


      </div>

      <!-- Div 5 role -->
      <div class="form-group" style="margin-bottom: 10px;">
        <div class="input-group"id="ajout">
          <label class="input-group-addon" for="matricule" style="margin-bottom: 15px; font-size: 25px;">
            <strong> Role </strong> 
          </label>
          <select id="select" style="height: 50px;" required [(ngModel)]="user.roles" name="roles" id="roles" class="form-control ">
            <option selected id="select" value="user"> user </option>
            <option id="select" value="admin"> admin </option>
          </select>
        </div>
      </div>
      <!--bouton dajout-->
      <div class="col-md-2  colonne-centree1">
        <button (click)="saveUser()" class="btn btn-success"
          style="font-size: larger; padding-left: 28px; height: 50px; width: 150px; margin-bottom: 50px; padding-right: 28px;">Ajouter</button>
      <!-- Alert echoue-->
      <div class="form-group">
        <div class="alert alert-danger" role="alert" *ngIf="f.submitted && isSignUpFailed"
          style="margin-top: 10px; font-size: larger; border-radius: 80px;">
          échec d'ajout : {{ errorMessage }}
        </div>
      </div>
        </div>
      
    </form>
  </div>
</div>
<!--alerte:AJOUT SUCCED-->
<div class="col-md-4 colonne-centree " *ngIf="submitted">
  <h2 class="alert alert-sucess " style="text-align: center;
             font-family: 'Times New Roman', Times, serif; 
             font-size: 100px; background-color: #ffffffff; 
              margin-top: 20px;  height: 100px; font-size: larger; height: 100px; border-radius: 80px;" role="alert">
    Vous ajouter un utilisateur avec succès!</h2>
  <button class="btn btn-success colonne-centree" style="margin-top: 10px; width: 220px; " (click)="newUser()">
    Ajouter un autre utilisateur</button>
    <button class="btn btn-success colonne-centree" style="margin-top: 10px; width: 220px; " (click)="onSubmit()">
      Liste des utilisateurs</button>

  <!-- <button class="btn btn-success colonne-centree" style="margin-top: 10px; margin-left: 800px;" (click)="Liste()">
    Liste des utilisateurs</button>-->
</div>